from distutils.core import setup

#from Cython.Build import cythonize
#setup(
#	ext_modules=cythonize("bivis.pyx"),
#)

from distutils.extension import Extension
from Cython.Distutils import build_ext

bivis_module = Extension(
	'bivis',
	['bivis.pyx'],
	extra_compile_args=['-fopenmp'],
	extra_link_args=['-L/usr/local/opt/llvm/lib', '-lomp'],
)

pargsort_module = Extension(
	'pargsort',
	['pargsort.pyx'],
	extra_compile_args=['-fopenmp'],
	extra_link_args=['-L/usr/local/opt/llvm/lib', '-lomp'],
)
setup(
	cmdclass={'build_ext': build_ext},
	ext_modules=[bivis_module, pargsort_module],
)
