# -*- coding: utf-8 -*-

"""
box filter for numpy array.

Copyright (c) 2017, Renaud Blanch <blanch at imag dot fr>
Licence: GPLv3 or higher <http://www.gnu.org/licenses/gpl.html>
"""


# imports ####################################################################

import numpy as np


# box filters ###############################################################

def box_1d(a, sigma):
	v = np.ones(sigma, dtype=a.dtype)/sigma
	r = np.convolve(a, v)
	r = np.convolve(r, v)
	r = r[sigma-1:len(r)-sigma+1] # sigma-1 can be 0
	if sigma % 2 == 0:
		sigma += 1
		v = np.ones(sigma, dtype=a.dtype)/sigma
	r = np.convolve(r, v)
	s2 = sigma//2
	return r[s2:len(r)-s2] # s2 can be 0
